## django-phonenumber-field 8.3.0

=== docs/requirements.txt ===
django
djangorestframework
phonenumberslite
sphinx-rtd-theme

## django-phonenumber-field 5.2.0

=== debian/changelog ===
django-phonenumber-field (5.2.0-1) unstable; urgency=low

  * Initial release

 -- Tom Teichler <debdolph@tom-teichler.de>  Sun, 03 Oct 2021 14:42:56 +0200

=== debian/control ===
Source: django-phonenumber-field
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Tom Teichler <debdolph@tom-teichler.de>, Dominik George <natureshadow@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-django (>= 2.2~),
 python3-setuptools,
 python3-phonenumbers,
 python3-babel,
Standards-Version: 4.6.0
Homepage: https://github.com/stefanfoulis/django-phonenumber-field
Vcs-Git: https://salsa.debian.org/python-team/packages/django-phonenumber-field.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/django-phonenumber-field

Package: python3-django-phonenumber-field
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Model and form field for normalised phone numbers using python-phonenumbers
 A Django library which interfaces with python-phonenumbers to validate,
 pretty print and convert phone numbers.  python-phonenumbers is a port of
 Google's libphonenumber library, which powers Android's phone number
 handling.
 .
 Included are:
 .
  * PhoneNumber, a pythonic wrapper around python-phonenumbers' PhoneNumber
    class
  * PhoneNumberField, a model field
  * PhoneNumberField, a form field
  * PhoneNumberField, a serializer field
  * PhoneNumberPrefixWidget, a form widget for selecting a region code and
    entering a national number.  Requires the Babel package be installed.
  * PhoneNumberInternationalFallbackWidget, a form widget that uses national
    numbers unless an international number is entered.  A
    PHONENUMBER_DEFAULT_REGION setting needs to be added to your Django
    settings in order to know which national number format to recognize.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.10.0 at
# Mon, 27 Sep 2021 17:18:36 +0200
export PYBUILD_NAME=phonenumber_field
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test -- --system=custom --test-args="PYTHONPATH=. {interpreter} /usr/bin/django-admin test --settings=tests.settings tests"
endif

=== debian/watch ===
# please also check http://pypi.debian.net/django-phonenumber-field/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/django-phonenumber-field/django-phonenumber-field-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## django-phonenumber-field 7.3.0

=== debian/changelog ===
django-phonenumber-field (7.3.0-1) unstable; urgency=low

  * New upstream version 7.3.0
  * Refresh patches.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Wed, 10 Jan 2024 22:24:42 +0000

django-phonenumber-field (7.2.0-2) unstable; urgency=low

  * Build and ship documentation in python-django-phonenumber-field-doc
    package.
  * Use correct package name for PYBUILD_NAME.
  * Add patch to use local objects.inv in intersphinx mapping.
  * Add python-django-doc and python3-doc to Build-Depends, required by
    intersphinx mapping.
  * Add doc-base registration file for python-django-phonenumber-field-doc.

 -- Michael Fladischer <fladi@debian.org>  Tue, 21 Nov 2023 07:59:40 +0000

django-phonenumber-field (7.2.0-1) unstable; urgency=low

  [ Tom Teichler ]
  * Add patch to remove setuptools_scm

  [ Michael Fladischer ]
  * Add debian/gbp.conf.
  * Use github.com in d/watch.
  * New upstream version 7.2.0
  * Remove patches, setuptools-scm is well supported for packaging.
  * Build using pybuild-plugin-pyproject.
  * Bump Standards-Version to 4.6.2.
  * Set Rules-Requires-Root: no.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Add myself to d/copyright and as uploader.
  * Add python3-djangorestframework to Build-Depends, required by tests.
  * Run tests using pytest.
  * Enable upstream testsuite for autopkgtests.
  * Add upstream metadata.
  * Use python3-babel to rebuild translations from source.
  * Add python3-phonenumbers to Depends.

 -- Michael Fladischer <fladi@debian.org>  Sun, 19 Nov 2023 15:01:59 +0000

=== debian/control ===
Source: django-phonenumber-field
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Tom Teichler <debdolph@tom-teichler.de>,
 Dominik George <natureshadow@debian.org>,
 Michael Fladischer <fladi@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python-django-doc,
 python3-all,
 python3-babel,
 python3-django,
 python3-djangorestframework,
 python3-doc,
 python3-phonenumbers,
 python3-pytest,
 python3-pytest-django,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Standards-Version: 4.6.2
Homepage: https://github.com/stefanfoulis/django-phonenumber-field
Vcs-Git: https://salsa.debian.org/python-team/packages/django-phonenumber-field.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/django-phonenumber-field
Rules-Requires-Root: no

Package: python-django-phonenumber-field-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Model and form field for normalised phone numbers (Documentation)
 A Django library which interfaces with python-phonenumbers to validate,
 pretty print and convert phone numbers.  python-phonenumbers is a port of
 Google's libphonenumber library, which powers Android's phone number
 handling.
 .
 Included are:
 .
  * PhoneNumber, a pythonic wrapper around python-phonenumbers' PhoneNumber
    class
  * PhoneNumberField, a model field
  * PhoneNumberField, a form field
  * PhoneNumberField, a serializer field
  * PhoneNumberPrefixWidget, a form widget for selecting a region code and
    entering a national number.  Requires the Babel package be installed.
  * PhoneNumberInternationalFallbackWidget, a form widget that uses national
    numbers unless an international number is entered.  A
    PHONENUMBER_DEFAULT_REGION setting needs to be added to your Django
    settings in order to know which national number format to recognize.
 .
 This package contains the documentation.

Package: python3-django-phonenumber-field
Architecture: all
Depends:
 python3-phonenumbers,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-django-phonenumber-field-doc,
Description: Model and form field for normalised phone numbers (Python 3 version)
 A Django library which interfaces with python-phonenumbers to validate,
 pretty print and convert phone numbers.  python-phonenumbers is a port of
 Google's libphonenumber library, which powers Android's phone number
 handling.
 .
 Included are:
 .
  * PhoneNumber, a pythonic wrapper around python-phonenumbers' PhoneNumber
    class
  * PhoneNumberField, a model field
  * PhoneNumberField, a form field
  * PhoneNumberField, a serializer field
  * PhoneNumberPrefixWidget, a form widget for selecting a region code and
    entering a national number.  Requires the Babel package be installed.
  * PhoneNumberInternationalFallbackWidget, a form widget that uses national
    numbers unless an international number is entered.  A
    PHONENUMBER_DEFAULT_REGION setting needs to be added to your Django
    settings in order to know which national number format to recognize.

## django-phonenumber-field 8.0.0

=== debian/changelog ===
django-phonenumber-field (8.0.0-1) unstable; urgency=low

  * New upstream version 8.0.0
  * Refresh patches.
  * Clean up artifacts to allow two builds in a row.

 -- Michael Fladischer <fladi@debian.org>  Thu, 18 Jul 2024 09:13:41 +0000

django-phonenumber-field (7.3.0-2) unstable; urgency=medium

  * Team upload.
  * d/control: build-dep on setuptools-scm to fix wrong "0.0.0" version

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 25 Apr 2024 18:41:59 +0300

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
  python3-pytest,
  python3-pytest-django,
  python3-setuptools,
+ python3-setuptools-scm,
  python3-sphinx,
  python3-sphinx-rtd-theme,
 Standards-Version: 4.6.2

## django-phonenumber-field 8.1.0

=== debian/changelog ===
django-phonenumber-field (8.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 24 Apr 2025 11:16:02 +0100

## django-phonenumber-field 8.3.0

=== debian/changelog ===
django-phonenumber-field (8.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 02 Nov 2025 21:00:24 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python-django-doc,
  python3-all,
  python3-babel,
- python3-django,
+ python3-django (>= 3:4.2),
  python3-djangorestframework,
  python3-doc,
  python3-phonenumbers,

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.10.0 at
# Mon, 27 Sep 2021 17:18:36 +0200
export PYBUILD_NAME=django-phonenumber-field
export PYBUILD_TEST_ARGS=--ds=tests.settings

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_before_dh_auto_build:
	set -e; \
	for loc in $(CURDIR)/phonenumber_field/locale/*; do \
		python3 -m babel.messages.frontend compile --directory=$(CURDIR)/phonenumber_field/locale/ --locale=$$(basename $$loc) --domain=django; \
	done

execute_before_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) python3 -m sphinx -b html -N $(CURDIR)/docs/ $(CURDIR)/debian/python-django-phonenumber-field-doc/usr/share/doc/python-django-phonenumber-field-doc/html
endif

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/([\d\.]+.*)$/python-django-phonenumber-field-$1/ \
https://github.com/stefanfoulis/django-phonenumber-field/tags \
/stefanfoulis/django-phonenumber-field/archive/refs/tags/([\d\.]+)\.tar\.gz

## django-phonenumber-field 8.4.0

=== debian/changelog ===
django-phonenumber-field (8.4.0-2) unstable; urgency=low

  * Use uscan version 5 GitHub template.
  * Drop field Priority: optional.
  * Use dh-sequence-python3 and dh-sequence-sphinxdoc.
  * Drop Rules-Requires-Root.
  * Bump Standards-Version to 4.7.3.
  * Update project homepage URL.
  * Update year in d/copyright.
  * Switch Testsuite to autopkgtest-pkg-pybuild.

 -- Michael Fladischer <fladi@debian.org>  Wed, 04 Mar 2026 12:53:02 +0000

django-phonenumber-field (8.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 01 Dec 2025 12:04:57 +0000

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
  Dominik George <natureshadow@debian.org>,
  Michael Fladischer <fladi@debian.org>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc,
  pybuild-plugin-pyproject,
  python-django-doc,
  python3-all,
@@ -23,11 +23,11 @@
  python3-setuptools-scm,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.6.2
-Homepage: https://github.com/stefanfoulis/django-phonenumber-field
+Standards-Version: 4.7.3
+Homepage: https://github.com/django-phonenumber-field/django-phonenumber-field
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-phonenumber-field.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-phonenumber-field
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python-django-phonenumber-field-doc
 Section: doc

=== debian/watch ===
Version: 5
Template: GitHub
Owner: stefanfoulis
Project: django-phonenumber-field
